Test an existing monitor
curl --request POST \
--url https://api.devhelm.io/api/v1/monitors/{id}/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"region": "<string>",
"code": {
"bundle": "<string>",
"entrypoint": "<string>",
"source": {
"repo": "<string>",
"branch": "<string>",
"commit": "<string>",
"file": "<string>"
}
},
"session": {
"id": "<string>",
"label": "<string>",
"commit": "<string>",
"branch": "<string>",
"url": "<string>"
}
}
'import requests
url = "https://api.devhelm.io/api/v1/monitors/{id}/test"
payload = {
"environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"region": "<string>",
"code": {
"bundle": "<string>",
"entrypoint": "<string>",
"source": {
"repo": "<string>",
"branch": "<string>",
"commit": "<string>",
"file": "<string>"
}
},
"session": {
"id": "<string>",
"label": "<string>",
"commit": "<string>",
"branch": "<string>",
"url": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
environmentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
region: '<string>',
code: {
bundle: '<string>',
entrypoint: '<string>',
source: {repo: '<string>', branch: '<string>', commit: '<string>', file: '<string>'}
},
session: {
id: '<string>',
label: '<string>',
commit: '<string>',
branch: '<string>',
url: '<string>'
}
})
};
fetch('https://api.devhelm.io/api/v1/monitors/{id}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.devhelm.io/api/v1/monitors/{id}/test",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'environmentId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'region' => '<string>',
'code' => [
'bundle' => '<string>',
'entrypoint' => '<string>',
'source' => [
'repo' => '<string>',
'branch' => '<string>',
'commit' => '<string>',
'file' => '<string>'
]
],
'session' => [
'id' => '<string>',
'label' => '<string>',
'commit' => '<string>',
'branch' => '<string>',
'url' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.devhelm.io/api/v1/monitors/{id}/test"
payload := strings.NewReader("{\n \"environmentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"region\": \"<string>\",\n \"code\": {\n \"bundle\": \"<string>\",\n \"entrypoint\": \"<string>\",\n \"source\": {\n \"repo\": \"<string>\",\n \"branch\": \"<string>\",\n \"commit\": \"<string>\",\n \"file\": \"<string>\"\n }\n },\n \"session\": {\n \"id\": \"<string>\",\n \"label\": \"<string>\",\n \"commit\": \"<string>\",\n \"branch\": \"<string>\",\n \"url\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.devhelm.io/api/v1/monitors/{id}/test")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"environmentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"region\": \"<string>\",\n \"code\": {\n \"bundle\": \"<string>\",\n \"entrypoint\": \"<string>\",\n \"source\": {\n \"repo\": \"<string>\",\n \"branch\": \"<string>\",\n \"commit\": \"<string>\",\n \"file\": \"<string>\"\n }\n },\n \"session\": {\n \"id\": \"<string>\",\n \"label\": \"<string>\",\n \"commit\": \"<string>\",\n \"branch\": \"<string>\",\n \"url\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.devhelm.io/api/v1/monitors/{id}/test")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"environmentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"region\": \"<string>\",\n \"code\": {\n \"bundle\": \"<string>\",\n \"entrypoint\": \"<string>\",\n \"source\": {\n \"repo\": \"<string>\",\n \"branch\": \"<string>\",\n \"commit\": \"<string>\",\n \"file\": \"<string>\"\n }\n },\n \"session\": {\n \"id\": \"<string>\",\n \"label\": \"<string>\",\n \"commit\": \"<string>\",\n \"branch\": \"<string>\",\n \"url\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"passed": true,
"assertionResults": [
{
"assertionType": "status_code",
"passed": true,
"severity": "fail",
"message": "<string>",
"expected": "<string>",
"actual": "<string>"
}
],
"error": "<string>",
"statusCode": 123,
"responseTimeMs": 123,
"responseHeaders": {},
"bodyPreview": "<string>",
"responseSizeBytes": 123,
"redirectCount": 123,
"finalUrl": "<string>",
"warnings": [
"<string>"
]
}
}{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": 123,
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"region": "<string>",
"source": "schedule",
"countsTowardHealth": true,
"enqueuedAt": "2023-11-07T05:31:56Z",
"phase": "created",
"cancelRequested": true,
"flaky": true,
"bundleDigest": "<string>",
"capturePolicySnapshot": {
"screenshots": "always",
"trace": "always",
"video": "always",
"network": "always"
},
"bindingVersionSnapshot": {
"keys": [
"<string>"
],
"attachedKeys": [
"<string>"
]
},
"evidenceIncomplete": true,
"stream": true,
"evidence": [
{
"kind": "screenshot",
"state": "present"
}
],
"tabCounts": {
"steps": 123,
"assets": 123,
"diff": 123
},
"attempt": 123,
"attemptOf": 123,
"attempts": [
{
"attempt": 123,
"outcome": "passed",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z"
}
],
"executionAttempts": [
{
"runGeneration": 123,
"supervisor": {
"id": "<string>",
"provenance": "<string>",
"protocolMajor": 123,
"createdAt": "2023-11-07T05:31:56Z",
"sourceSha": "<string>",
"compatibilityManifestSha256": "<string>"
},
"protocolMajor": 123,
"capabilities": [
"<string>"
],
"recordedAt": "2023-11-07T05:31:56Z"
}
],
"billable": true,
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorName": "<string>",
"monitorType": "HTTP",
"host": "<string>",
"environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environmentName": "<string>",
"revision": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"digest": "<string>",
"entrypoint": "<string>",
"files": [
"<string>"
],
"keys": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"downloadUntil": "2023-11-07T05:31:56Z",
"purgedAt": "2023-11-07T05:31:56Z",
"gitSha": "<string>",
"gitMessage": "<string>",
"gitFile": "<string>",
"authoredBy": "<string>",
"source": {
"repo": "<string>",
"branch": "<string>",
"commit": "<string>",
"file": "<string>"
},
"state": "draft",
"testRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"testOutcome": "passed",
"liveStats": {
"runs": 123,
"failed": 123
},
"expiresAt": "2023-11-07T05:31:56Z",
"createdByKind": "dashboard",
"baseRevision": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123
}
},
"startDeadlineAt": "2023-11-07T05:31:56Z",
"evaluationCycleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retryOfRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retriedFromRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "passed",
"headline": "<string>",
"executionLine": "<string>",
"metaLine": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"lastHeartbeatAt": "2023-11-07T05:31:56Z",
"cancelledBy": "<string>",
"artifactsExpiredAt": "2023-11-07T05:31:56Z",
"pinnedAt": "2023-11-07T05:31:56Z",
"purgedAt": "2023-11-07T05:31:56Z",
"durationMs": 123,
"queueWaitMs": 123,
"queuePosition": 123,
"delayed": true,
"heartbeatAgeMs": 123,
"live": {
"stepCount": 123,
"stepIndex": 123,
"stepTitle": "<string>",
"artifactsUploaded": 123,
"artifactsExpected": 123
},
"incidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"execution": {
"id": "<string>",
"runtime": {
"id": "<string>",
"nodeVersion": "<string>",
"playwrightVersion": "<string>",
"status": "baking",
"platformDefault": true,
"regions": [
{
"region": "<string>",
"available": true
}
],
"eolAt": "2023-11-07T05:31:56Z",
"availableAt": "2023-11-07T05:31:56Z",
"deprecatedAt": "2023-11-07T05:31:56Z",
"packages": {},
"nodeBuiltins": [
"<string>"
],
"reservedBindings": [
"<string>"
],
"browser": {
"iframes": true,
"stripeElements": true,
"popups": true,
"downloads": true,
"viewport": true,
"geolocation": true,
"clipboard": true,
"upload": true
}
},
"harness": {
"id": "<string>",
"provenance": "<string>",
"protocolMajor": 123,
"createdAt": "2023-11-07T05:31:56Z",
"sourceSha": "<string>",
"compatibilityManifestSha256": "<string>"
},
"monitorType": "HTTP",
"imageDigest": "<string>",
"requiredCapabilities": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"customerManifestSha256": "<string>",
"buildManifestSha256": "<string>"
},
"url": "<string>",
"triggerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session": {
"id": "<string>",
"label": "<string>",
"commit": "<string>",
"branch": "<string>",
"url": "<string>"
},
"runtimeId": "<string>",
"cause": "platform",
"failure": {
"kind": "assertion",
"step": "<string>",
"message": "<string>",
"file": "<string>",
"line": 123,
"index": 123
},
"artifactsExpireAt": "2023-11-07T05:31:56Z"
}
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}Monitors
Test an existing monitor
Uptime monitors run their saved config and assertions once through the probe and return the probe result (200) without persisting it. Browser and multi-step API monitors admit a queued validation run (202) that does not vote on health; poll the run for its outcome. Optional environmentId defaults to the monitor’s environment; optional region defaults to the monitor’s first region.
POST
/
api
/
v1
/
monitors
/
{id}
/
test
Test an existing monitor
curl --request POST \
--url https://api.devhelm.io/api/v1/monitors/{id}/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"region": "<string>",
"code": {
"bundle": "<string>",
"entrypoint": "<string>",
"source": {
"repo": "<string>",
"branch": "<string>",
"commit": "<string>",
"file": "<string>"
}
},
"session": {
"id": "<string>",
"label": "<string>",
"commit": "<string>",
"branch": "<string>",
"url": "<string>"
}
}
'import requests
url = "https://api.devhelm.io/api/v1/monitors/{id}/test"
payload = {
"environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"region": "<string>",
"code": {
"bundle": "<string>",
"entrypoint": "<string>",
"source": {
"repo": "<string>",
"branch": "<string>",
"commit": "<string>",
"file": "<string>"
}
},
"session": {
"id": "<string>",
"label": "<string>",
"commit": "<string>",
"branch": "<string>",
"url": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
environmentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
region: '<string>',
code: {
bundle: '<string>',
entrypoint: '<string>',
source: {repo: '<string>', branch: '<string>', commit: '<string>', file: '<string>'}
},
session: {
id: '<string>',
label: '<string>',
commit: '<string>',
branch: '<string>',
url: '<string>'
}
})
};
fetch('https://api.devhelm.io/api/v1/monitors/{id}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.devhelm.io/api/v1/monitors/{id}/test",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'environmentId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'region' => '<string>',
'code' => [
'bundle' => '<string>',
'entrypoint' => '<string>',
'source' => [
'repo' => '<string>',
'branch' => '<string>',
'commit' => '<string>',
'file' => '<string>'
]
],
'session' => [
'id' => '<string>',
'label' => '<string>',
'commit' => '<string>',
'branch' => '<string>',
'url' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.devhelm.io/api/v1/monitors/{id}/test"
payload := strings.NewReader("{\n \"environmentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"region\": \"<string>\",\n \"code\": {\n \"bundle\": \"<string>\",\n \"entrypoint\": \"<string>\",\n \"source\": {\n \"repo\": \"<string>\",\n \"branch\": \"<string>\",\n \"commit\": \"<string>\",\n \"file\": \"<string>\"\n }\n },\n \"session\": {\n \"id\": \"<string>\",\n \"label\": \"<string>\",\n \"commit\": \"<string>\",\n \"branch\": \"<string>\",\n \"url\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.devhelm.io/api/v1/monitors/{id}/test")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"environmentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"region\": \"<string>\",\n \"code\": {\n \"bundle\": \"<string>\",\n \"entrypoint\": \"<string>\",\n \"source\": {\n \"repo\": \"<string>\",\n \"branch\": \"<string>\",\n \"commit\": \"<string>\",\n \"file\": \"<string>\"\n }\n },\n \"session\": {\n \"id\": \"<string>\",\n \"label\": \"<string>\",\n \"commit\": \"<string>\",\n \"branch\": \"<string>\",\n \"url\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.devhelm.io/api/v1/monitors/{id}/test")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"environmentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"region\": \"<string>\",\n \"code\": {\n \"bundle\": \"<string>\",\n \"entrypoint\": \"<string>\",\n \"source\": {\n \"repo\": \"<string>\",\n \"branch\": \"<string>\",\n \"commit\": \"<string>\",\n \"file\": \"<string>\"\n }\n },\n \"session\": {\n \"id\": \"<string>\",\n \"label\": \"<string>\",\n \"commit\": \"<string>\",\n \"branch\": \"<string>\",\n \"url\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"passed": true,
"assertionResults": [
{
"assertionType": "status_code",
"passed": true,
"severity": "fail",
"message": "<string>",
"expected": "<string>",
"actual": "<string>"
}
],
"error": "<string>",
"statusCode": 123,
"responseTimeMs": 123,
"responseHeaders": {},
"bodyPreview": "<string>",
"responseSizeBytes": 123,
"redirectCount": 123,
"finalUrl": "<string>",
"warnings": [
"<string>"
]
}
}{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": 123,
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"region": "<string>",
"source": "schedule",
"countsTowardHealth": true,
"enqueuedAt": "2023-11-07T05:31:56Z",
"phase": "created",
"cancelRequested": true,
"flaky": true,
"bundleDigest": "<string>",
"capturePolicySnapshot": {
"screenshots": "always",
"trace": "always",
"video": "always",
"network": "always"
},
"bindingVersionSnapshot": {
"keys": [
"<string>"
],
"attachedKeys": [
"<string>"
]
},
"evidenceIncomplete": true,
"stream": true,
"evidence": [
{
"kind": "screenshot",
"state": "present"
}
],
"tabCounts": {
"steps": 123,
"assets": 123,
"diff": 123
},
"attempt": 123,
"attemptOf": 123,
"attempts": [
{
"attempt": 123,
"outcome": "passed",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z"
}
],
"executionAttempts": [
{
"runGeneration": 123,
"supervisor": {
"id": "<string>",
"provenance": "<string>",
"protocolMajor": 123,
"createdAt": "2023-11-07T05:31:56Z",
"sourceSha": "<string>",
"compatibilityManifestSha256": "<string>"
},
"protocolMajor": 123,
"capabilities": [
"<string>"
],
"recordedAt": "2023-11-07T05:31:56Z"
}
],
"billable": true,
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorName": "<string>",
"monitorType": "HTTP",
"host": "<string>",
"environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environmentName": "<string>",
"revision": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"digest": "<string>",
"entrypoint": "<string>",
"files": [
"<string>"
],
"keys": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"downloadUntil": "2023-11-07T05:31:56Z",
"purgedAt": "2023-11-07T05:31:56Z",
"gitSha": "<string>",
"gitMessage": "<string>",
"gitFile": "<string>",
"authoredBy": "<string>",
"source": {
"repo": "<string>",
"branch": "<string>",
"commit": "<string>",
"file": "<string>"
},
"state": "draft",
"testRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"testOutcome": "passed",
"liveStats": {
"runs": 123,
"failed": 123
},
"expiresAt": "2023-11-07T05:31:56Z",
"createdByKind": "dashboard",
"baseRevision": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123
}
},
"startDeadlineAt": "2023-11-07T05:31:56Z",
"evaluationCycleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retryOfRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retriedFromRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "passed",
"headline": "<string>",
"executionLine": "<string>",
"metaLine": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"lastHeartbeatAt": "2023-11-07T05:31:56Z",
"cancelledBy": "<string>",
"artifactsExpiredAt": "2023-11-07T05:31:56Z",
"pinnedAt": "2023-11-07T05:31:56Z",
"purgedAt": "2023-11-07T05:31:56Z",
"durationMs": 123,
"queueWaitMs": 123,
"queuePosition": 123,
"delayed": true,
"heartbeatAgeMs": 123,
"live": {
"stepCount": 123,
"stepIndex": 123,
"stepTitle": "<string>",
"artifactsUploaded": 123,
"artifactsExpected": 123
},
"incidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"execution": {
"id": "<string>",
"runtime": {
"id": "<string>",
"nodeVersion": "<string>",
"playwrightVersion": "<string>",
"status": "baking",
"platformDefault": true,
"regions": [
{
"region": "<string>",
"available": true
}
],
"eolAt": "2023-11-07T05:31:56Z",
"availableAt": "2023-11-07T05:31:56Z",
"deprecatedAt": "2023-11-07T05:31:56Z",
"packages": {},
"nodeBuiltins": [
"<string>"
],
"reservedBindings": [
"<string>"
],
"browser": {
"iframes": true,
"stripeElements": true,
"popups": true,
"downloads": true,
"viewport": true,
"geolocation": true,
"clipboard": true,
"upload": true
}
},
"harness": {
"id": "<string>",
"provenance": "<string>",
"protocolMajor": 123,
"createdAt": "2023-11-07T05:31:56Z",
"sourceSha": "<string>",
"compatibilityManifestSha256": "<string>"
},
"monitorType": "HTTP",
"imageDigest": "<string>",
"requiredCapabilities": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"customerManifestSha256": "<string>",
"buildManifestSha256": "<string>"
},
"url": "<string>",
"triggerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session": {
"id": "<string>",
"label": "<string>",
"commit": "<string>",
"branch": "<string>",
"url": "<string>"
},
"runtimeId": "<string>",
"cause": "platform",
"failure": {
"kind": "assertion",
"step": "<string>",
"message": "<string>",
"file": "<string>",
"line": 123,
"index": 123
},
"artifactsExpireAt": "2023-11-07T05:31:56Z"
}
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}Headers
Body
application/json